### Name: subsetfl
### Title: Subset a data.frame and reorder the levels of factors in it
### Aliases: subsetfl
### Keywords: misc

### ** Examples


x1<-round(rnorm(120,20,2))
x2<-round(rnorm(120,100,8))
A<-rep(c("a1","a2","a3"), c(40,40,40))
B<-rep(rep(c("b1","b2","b3","b4"), c(10,10,10,10)), times=3)
C<-rep(rep(c("D0","D5","D10","D50","D100"), times=24))

dat<-data.frame(x1=x1,x2=x2, Dose=C, A=A, B=B)


str(dat)
levels(dat$Dosis)
levels(dat$A)
levels(dat$B)

boxplot(x1~Dose, data=dat)

pairwiseCI(x1~Dose,data=dat, control="D0")

datC<-subsetfl(data=dat,
 order=list("Dose"=c("D0","D5","D10","D50","D100")))

datC

str(datC)
levels(datC$Dosis)
levels(datC$A)
levels(datC$B)

boxplot(x1~Dose, data=datC)

pairwiseCI(x1~Dose,data=datC, control="D0")




